Skip to main content
GET
/
api
/
v1
/
files
List Files
curl --request GET \
  --url https://api.example.com/api/v1/files \
  --header 'Authorization: Basic <encoded-value>'
{
  "items": [
    {
      "filename": "<string>",
      "content_type": "<string>",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "file_size_bytes": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "file_type": "user_upload",
      "parent_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "total_count": 123,
  "next_page_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "has_more": false
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

query
FileListQuery · object
required

Query schema for listing files.

context_id
string<uuid> | null

Response

Successful Response

items
File · object[]
required
total_count
integer
required
next_page_token
string<uuid> | null
required
has_more
boolean
default:false